[pygame] BUG: Sorry, extended image module required

19 views
Skip to first unread message

Andy Strain

unread,
Jun 17, 2021, 1:32:57 AM6/17/21
to pygame...@seul.org
I’m running macOS Big Sur 11.4 on a M1 MacBook Air. When I try and run pygame.examples.aliens, I get the following error:

    pygame 2.0.1 (SDL 2.0.14, Python 3.9.5)
    Hello from the pygame community. https://www.pygame.org/contribute.html
    Sorry, extended image module required

Long story short, this is fixed via pull request #2508 on GitHub. I’ve written more details on how to get PyGame running in issue #2452.


I’m only mentioning this because those two have no one assigned and, well, it does work on an M1 Mac.

If you have any questions, please let me know. Also, if there is anything that I can do to help, I’m more than willing to try it. I know that there probably aren’t many Apple users out there that have the system-on-a-chip.

Thank you,
Andrew Strain
Reply all
Reply to author
Forward
0 new messages